Name:             mpc
Summary:          Command-line client for MPD
Version:          0.19
Release:          1%{?dist}

License:          GPLv2+
Group:            Applications/Multimedia
URL:              http://mpd.wikia.com/wiki/Client:Mpc
Source0:          http://downloads.sourceforge.net/musicpd/mpc-0.19.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    libmpdclient-devel >= 2.0

%description
A client for MPD, the Music Player Daemon. mpc connects to a MPD running
on a machine via a network.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p doc/mpc-completion.bash $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%triggerin -- bash-completion
ln -sf %{_datadir}/%{name}/mpc-bashrc %{_sysconfdir}/bash_completion.d/mpc

%triggerun -- bash-completion
[ $2 -gt 0 ] || rm -f %{_sysconfdir}/bash_completion.d/mpc


%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jan 28 2010 Adrian Reber <adrian@lisas.de> - 0.19-1
- updated to 0.19 (#543797)
- added BR libmpdclient-devel

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Adrian Reber <adrian@lisas.de> - 0.16-1
- updated to 0.16

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Adrian Reber <adrian@lisas.de> - 0.15-1
- updated to 0.15 (#486585)

* Tue Feb 12 2008 Adrian Reber <adrian@lisas.de> - 0.12.1-2
- rebuilt for gcc43

* Sun Aug 26 2007 Adrian Reber <adrian@lisas.de> - 0.12.1-1
- updated to 0.12.1
- updated License
- added BR gawk

* Wed Jan 31 2007 Adrian Reber <adrian@lisas.de> - 0.12.0-2
- fix for almost empty debuginfo package (bz #225103)

* Tue Nov 07 2006 Adrian Reber <adrian@lisas.de> - 0.12.0-1
- updated to 0.12.0

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-5
- rebuild

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.11.2-4
- rebuild for FC5

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.11.2-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar 12 2005 Aurelien Bompard <gauret[AT]free.fr> 0.11.2-1
- version 0.11.2
- drop Epoch
- update URL

* Wed Dec 08 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.11.1-2
- put the bash_completion file in %%_datadir instead of %%_docdir

* Fri Nov 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.11.1-0.fdr.1
- Adapted to Fedora's spec directions.

* Wed Jun 23 2004 Gary Peck <gbpeck@sbcglobal.net> 0.11.1-1
- Version 0.11.1

